<?php

namespace Drupal\edlp_search\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;

/**
 * Provides a 'EdlpSearchLinkBlock' block.
 *
 * @Block(
 *  id = "edlp_search_link_block",
 *  admin_label = @Translation("Edlp search link block"),
 * )
 */
class EdlpSearchLinkBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $url = Url::fromRoute('edlp_search.edlp_search_controller_searchForm');
    $build['edlp_search_link_block'] = array(
      '#title' => "Search",
      '#type' => 'link',
      '#url' => $url,
      '#options'=>array(
        'attributes' => array(
          'data-drupal-link-system-path' => $url->getInternalPath(),
          'class' => array('ajax-link'),
        )
      )
    );
    return $build;
  }

}
